package dev.fitko.fitconnect.client.steps.sender;

import dev.fitko.fitconnect.api.domain.model.submission.SubmitSubmission;

import java.util.Optional;
public interface SubmitStep {

    /**
     * Send submission with attachments and data to FIT-Connect API.
     *
     * @return {@link SubmitSubmission} object of the handed in submission
     */
    Optional<SubmitSubmission> submit();
}